Apply button doesn't work in Layer Labelling Settings dialogue

2015-10-08 02:12 AM - Frank Sokolic

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21585

Description

Clicking the Apply button doesn't update the labels on the map when using the Layer Labelling Settings dialogue. However, when using

the Labels tab in the Layer Properties the Apply button works.

Associated revisions

Revision d7094968 - 2015-10-08 03:12 PM - Nyall Dawson

Fix crash in label property dialog (refs #13543)

Revision f50e1a75 - 2015-10-14 10:21 PM - Nyall Dawson

Fix broken apply button in label config dialog (fix #13543)

History

#1 - 2015-10-08 05:06 AM - Regis Haubourg

Confirmed here. Should be marked as blocker for 2.12, it's a regression, and a very usefull feature in every day's workflow since labeling is an iterative

task.

#2 - 2015-10-08 06:13 AM - Nyall Dawson

- Status changed from Open to Feedback

Likely fixed in commit:d7094968a116448f3aed4d030c56a2297981e40c, can you confirm?

#3 - 2015-10-13 09:43 AM - Frank Sokolic

Just updated Master and the problem still occurs.

#4 - 2015-10-13 12:00 PM - Nyall Dawson

Can you post some steps to reproduce? I still can't trigger this issue

2025-04-27 1/2



#5 - 2015-10-14 10:05 AM - Frank Sokolic

    1. Make a layer active in the layers panel

    2. Click the Layer Labelling Options icon on the toolbar (or Layer > Labelling from the menu bar)

    3. Make changes to the label settings

    4. Click Apply, labels don't get updated on the map canvas

    5. Click OK, dialogue box closes and labels are updated

This is on Ubuntu 15.04 64 bit running QGIS master.

#6 - 2015-10-14 11:48 AM - Saber Razmjooei

- Status changed from Feedback to Open

- Operating System deleted (Ubuntu)

- OS version deleted (15.04 64 bit)

I can confirm in debian jessie and Windows. It is indeed a regression.

#7 - 2015-10-14 11:50 AM - Saber Razmjooei

- Priority changed from Normal to Severe/Regression

#8 - 2015-10-14 01:24 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"f50e1a757ada9b4aef7b8f90145f5a2d336056c9".
